Index: sansview/perspectives/fitting/fitpage.py
===================================================================
--- sansview/perspectives/fitting/fitpage.py	(revision 08ba57d840c330a219757ee06c2529ac1d31e374)
+++ sansview/perspectives/fitting/fitpage.py	(revision c5cd3b971d2fac7542c1800bb369bb086bef2af7)
@@ -96,31 +96,35 @@
                 self.text2_max.Show(True)
         for item in self.orientation_params:
-            if event.type =="scipy":
-                item[5].SetValue("")
-                item[5].Hide()
-                item[6].SetValue("")
-                item[6].Hide()
-                self.text2_min.Hide()
-                self.text2_max.Hide()
-            else:
-                item[5].Show(True)
-                item[6].Show(True)
-                self.text2_min.Show(True)
-                self.text2_max.Show(True)
+            if item[5]!=None and item[6]!=None:
+                if event.type =="scipy" or self.data.__class__.__name__ !="Data2D":
+                    item[5].SetValue("")
+                    item[5].Hide()
+                    item[6].SetValue("")
+                    item[6].Hide()
+                    self.text2_min.Hide()
+                    self.text2_max.Hide()
+                else:
+                    item[5].Show(True)
+                    item[6].Show(True)
+                    self.text2_min.Show(True)
+                    self.text2_max.Show(True)
             
-        for item in self.orientation_params_disp:
-            if event.type =="scipy":
-                item[5].SetValue("")
-                item[5].Hide()
-                item[6].SetValue("")
-                item[6].Hide()
-                self.text2_min.Hide()
-                self.text2_max.Hide()
-            else:
-                item[5].Show(True)
-                item[6].Show(True)
-                self.text2_min.Show(True)
-                self.text2_max.Show(True)
-                
+        for item in self.orientation_params_disp:           
+            if item[5]!=None and item[6]!=None:
+                if event.type =="scipy" or self.data.__class__.__name__ !="Data2D":
+                    print "here21"
+                    item[5].SetValue("")
+                    item[5].Hide()
+                    item[6].SetValue("")
+                    item[6].Hide()
+                    self.text2_min.Hide()
+                    self.text2_max.Hide()
+                else:
+                    print "here22"
+                    item[5].Show(True)
+                    item[6].Show(True)
+                    self.text2_min.Show(True)
+                    self.text2_max.Show(True)
+            
         self.sizer3.Layout()
         self.SetScrollbars(20,20,25,65)
@@ -370,8 +374,6 @@
                         if self.data.__class__.__name__ =="Data2D":
                             cb.Show(True)
-                            cb.Enable()
                         else:
                             cb.Hide()
-                            cb.Disable()
                         ix = 1
                         value= self.model.getParam(name1)
@@ -381,8 +383,6 @@
                         if self.data.__class__.__name__ =="Data2D":
                             ctl1.Show(True)
-                            ctl1.Enable()
                         else:
                             ctl1.Hide()
-                            ctl1.Disable()
                         self.sizer4_4.Add(ctl1, (iy,ix),(1,1),wx.EXPAND)
                         ## text to show error sign
@@ -398,8 +398,6 @@
                         ctl2.Hide()
                         if self.data.__class__.__name__ =="Data2D":
-                            #ctl2.Show(True)
                             ctl2.Enable()
                         else:
-                            #ctl2.Hide()
                             ctl2.Disable()
                         self.fittable_param.append([cb,name1,ctl1,text2,
@@ -416,8 +414,6 @@
                             if self.data.__class__.__name__ =="Data2D":
                                 Tctl.Show(True)
-                                Tctl.Enable()
                             else:
                                 Tctl.Hide()
-                                Tctl.Disable()
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
                                                wx.EXPAND|wx.ADJUST_MINSIZE, 0)
@@ -434,8 +430,6 @@
                             if self.data.__class__.__name__ =="Data2D":
                                 Tctl.Show(True)
-                                Tctl.Enable()
                             else:
                                 Tctl.Hide()
-                                Tctl.Disable()
                             self.sizer4_4.Add(Tctl, (iy,ix),(1,1),
                                                wx.EXPAND|wx.ADJUST_MINSIZE, 0)
@@ -1168,8 +1162,8 @@
                     if self.data.__class__.__name__ =="Data2D":
                         cb.Show(True)
-                        cb.Enable()
+                        #cb.Enable()
                     else:
                         cb.Hide()
-                        cb.Disable()
+                        #cb.Disable()
                     sizer.Add( cb,( iy, ix),(1,1),
                                  wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 5)
@@ -1183,9 +1177,9 @@
                     ctl1.SetValue(format_number(value))
                     if self.data.__class__.__name__ =="Data2D":
-                        #ctl1.Show(True)
-                        ctl1.Enable()
+                        ctl1.Show(True)
+                        #ctl1.Enable()
                     else:
-                        #ctl1.Hide()
-                        ctl1.Disable()
+                        ctl1.Hide()
+                        #ctl1.Disable()
                     sizer.Add(ctl1, (iy,ix),(1,1), wx.EXPAND)
                     ## text to show error sign
@@ -1202,8 +1196,8 @@
                     if self.data.__class__.__name__ =="Data2D":
                         ctl1.Show(True)
-                        ctl1.Enable()
+                        #ctl1.Enable()
                     else:
                         ctl1.Hide()
-                        ctl1.Disable()
+                        #ctl1.Disable()
                     param_min, param_max= self.model.details[item][1:]
                     ix += 1
@@ -1218,9 +1212,9 @@
                     ctl3.Hide()
                     if self.data.__class__.__name__ =="Data2D":
-                        #ctl3.Show(True)
-                        ctl3.Enable()
+                        ctl3.Show(True)
+                        #ctl3.Enable()
                     else:
-                        #ctl3.Hide()
-                        ctl3.Disable()
+                        ctl3.Hide()
+                        #ctl3.Disable()
                     ix += 1
                     ctl4 = BasicPage.ModelTextCtrl(self, -1, size=(_BOX_WIDTH/2,20), style=wx.TE_PROCESS_ENTER,
@@ -1234,12 +1228,16 @@
                     ctl4.Hide()
                     if self.data.__class__.__name__ =="Data2D":
-                        #ctl4.Show(True)
-                        ctl4.Enable()
+                        ctl4.Show(True)
+                        #ctl4.Enable()
                     else:
-                        #ctl4.Hide()
-                        ctl4.Disable()
-                    if self.engine_type=="park":
+                        ctl4.Hide()
+                        #ctl4.Disable()
+                    if self.engine_type !="park":
+                        ctl3.Hide()
+                        ctl4.Hide()
+                    else:
                         ctl3.Show(True)
                         ctl4.Show(True)
+                    
                     ix +=1
                     # Units
@@ -1250,8 +1248,8 @@
                     if self.data.__class__.__name__ =="Data2D":
                         units.Show(True)
-                        units.Enable()
+                        #units.Enable()
                     else:
                         units.Hide()
-                        units.Disable()
+                        #units.Disable()
                     sizer.Add(units, (iy,ix),(1,1),  wx.EXPAND|wx.ADJUST_MINSIZE, 0)
                         
